Skip to main content
GET
Get a webhook by id

Authorizations

x-client-secret
string
header
required

Your secret API key. Keep this secure and never expose it in client-side code.

Path Parameters

id
string<uuid>
required

Webhook unique identifier (UUID)

Response

Return the webhook.

id
string
required

Unique identifier for the webhook

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
required

Name of the webhook

Example:

"Payment Notifications"

url
string
required

URL where webhook events are sent

Example:

"https://api.example.com/webhooks/payments"

isActive
boolean
required

Whether the webhook is currently active

Example:

true

encrypted
boolean
required

Whether webhook payloads are encrypted

Example:

false

created_at
string
required

Timestamp when the webhook was created

Example:

"2024-03-20T12:00:00.000Z"

updated_at
string
required

Timestamp when the webhook was last updated

Example:

"2024-03-20T12:00:00.000Z"

delivery_stats
object
required

Webhook delivery statistics

Example: